%define major 		4
%define gmajor		1.0
%define libname		%mklibname mbim-glib %{major}
%define girname		%mklibname mbim-gir %{gmajor}
%define develname	%mklibname mbim-glib -d

Name:		libmbim
Version:	1.30.0
Release:	%mkrel 2
Summary:	MBIM modem protocol helper library
License:	GPLv2
Group:		System/Libraries
URL:		https://gitlab.freedesktop.org/mobile-broadband/libmbim/
Source0:	https://gitlab.freedesktop.org/mobile-broadband/libmbim/-/archive/%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	meson >= 0.53
BuildRequires:	pkgconfig(bash-completion)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)

%description
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		Development/C
Requires:	%{name}-utils >= %{version}-%{release}

%description -n	%{libname}
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

This package contains MBIM shared libraries.

%package -n	%{girname}
Summary:	GObject Introspection interface description for Mbim
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girname}
GObject Introspection interface description for Mbim.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	mbim-devel = %{version}-%{release}
Provides:	mbim-glib-devel = %{version}-%{release}

%description -n	%{develname}
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

This package contains MBIM header files and development libraries.

%package utils
Summary:	MBIM command line utilities
License:	GPLv2
Group:		System/Base

%description utils
The Mobile Broadband Interface Model (MBIM) is a new standard
to communicate with mobile broadband modem devices developed
by the USB Implementors Forum.

This package contains MBIM command line utilities.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{libname}
%doc NEWS AUTHORS README.md
%{_libdir}/%{name}-glib.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Mbim-%{gmajor}.typelib

%files -n %{develname}
#doc %%{_datadir}/gtk-doc/html/%%{name}-glib/
%{_includedir}/%{name}-glib/
%{_libdir}/%{name}-glib.so
%{_libdir}/pkgconfig/mbim-glib.pc
%{_datadir}/gir-1.0/Mbim-%{gmajor}.gir

%files utils
%{_bindir}/mbimcli
%{_bindir}/mbim-network
%{_datadir}/bash-completion/completions/mbimcli
%{_libexecdir}/mbim-proxy
%{_mandir}/man1/mbimcli.1*
%{_mandir}/man1/mbim-network.1*


%changelog
* Fri Feb 21 2025 daviddavid <daviddavid> 1.30.0-2.mga10
+ Revision: 2150325
- disable gtk doc for now to fix build

* Sat Mar 30 2024 daviddavid <daviddavid> 1.30.0-1.mga10
+ Revision: 2053209
- new version 1.30.0

* Mon Sep 04 2023 daviddavid <daviddavid> 1.28.4-1.mga10
+ Revision: 1984081
- new version: 1.28.4

* Fri Nov 25 2022 guillomovitch <guillomovitch> 1.28.2-1.mga9
+ Revision: 1911139
- new version 1.28.2

* Sun May 22 2022 guillomovitch <guillomovitch> 1.26.4-1.mga9
+ Revision: 1859786
- new version 1.26.4

* Sun Apr 03 2022 umeabot <umeabot> 1.26.2-2.mga9
+ Revision: 1841556
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 guillomovitch <guillomovitch> 1.26.2-1.mga9
+ Revision: 1787648
- new version 1.26.2

* Sun Aug 22 2021 guillomovitch <guillomovitch> 1.26.0-1.mga9
+ Revision: 1742321
- new version 1.26.0

* Mon Jun 14 2021 guillomovitch <guillomovitch> 1.24.8-1.mga9
+ Revision: 1730759
- new version 1.24.8

* Thu Feb 25 2021 guillomovitch <guillomovitch> 1.24.6-1.mga9
+ Revision: 1691163
- new version 1.24.6

* Fri Dec 04 2020 luigiwalser <luigiwalser> 1.24.4-2.mga8
+ Revision: 1652691
- BR: autoconf-archive
- call autoreconf to try to fix build

* Sun Nov 08 2020 wally <wally> 1.24.4-1.mga8
+ Revision: 1643626
- new version 1.24.4
- drop old obsoletes

* Sun Aug 09 2020 wally <wally> 1.24.2-3.mga8
+ Revision: 1612131
- build with gir support

* Sun Aug 09 2020 wally <wally> 1.24.2-2.mga8
+ Revision: 1612126
- add bcond for doc build

* Sat Aug 01 2020 guillomovitch <guillomovitch> 1.24.2-1.mga8
+ Revision: 1610083
- new version 1.24.2

* Sun Mar 08 2020 guillomovitch <guillomovitch> 1.22.0-1.mga8
+ Revision: 1554854
- new version 1.22.0

* Tue Feb 18 2020 umeabot <umeabot> 1.20.2-2.mga8
+ Revision: 1539214
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 02 2019 guillomovitch <guillomovitch> 1.20.2-1.mga8
+ Revision: 1464022
- new version 1.20.2

* Mon Sep 30 2019 guillomovitch <guillomovitch> 1.20.0-1.mga8
+ Revision: 1448511
- new version 1.20.0

* Sat Apr 13 2019 wally <wally> 1.18.2-1.mga7
+ Revision: 1389835
- new version 1.18.2

* Fri Mar 15 2019 guillomovitch <guillomovitch> 1.18.0-1.mga7
+ Revision: 1377607
- new version 1.18.0

* Sun Sep 23 2018 umeabot <umeabot> 1.16.0-2.mga7
+ Revision: 1298984
- Mageia 7 Mass Rebuild

* Sat Mar 10 2018 guillomovitch <guillomovitch> 1.16.0-1.mga7
+ Revision: 1207942
- new version 1.16.0

* Wed Sep 27 2017 wally <wally> 1.14.2-1.mga7
+ Revision: 1160482
- new version 1.14.2

* Thu Mar 09 2017 wally <wally> 1.14.0-2.mga6
+ Revision: 1090592
- make lib pkg to require mbim-proxy (libmbim-utils pkg)
- add patch to make gtk-doc build optional and disable it

* Fri Aug 26 2016 wally <wally> 1.14.0-1.mga6
+ Revision: 1049076
- new version 1.14.0
- fix lib and devel pkg names
- tag docs as such

* Thu Feb 11 2016 umeabot <umeabot> 1.12.2-2.mga6
+ Revision: 955593
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 guillomovitch <guillomovitch> 1.12.2-1.mga6
+ Revision: 840331
- new version 1.12.2

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-5.mga5
+ Revision: 747709
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.10.0-4.mga5
+ Revision: 726743
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-3.mga5
+ Revision: 681595
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 tv <tv> 1.10.0-2.mga5
+ Revision: 660598
- fix major
- prevent this packaging error to ever happen again...

* Thu Aug 07 2014 guillomovitch <guillomovitch> 1.10.0-1.mga5
+ Revision: 660354
- new version 1.10.0

* Mon Mar 10 2014 guillomovitch <guillomovitch> 1.8.0-1.mga5
+ Revision: 601839
- new version 1.8.0

* Thu Dec 19 2013 guillomovitch <guillomovitch> 1.6.0-1.mga4
+ Revision: 558907
- new version
- fix devel package virtual package name

* Sat Oct 19 2013 umeabot <umeabot> 1.4.0-2.mga4
+ Revision: 531138
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 guillomovitch <guillomovitch> 1.4.0-1.mga4
+ Revision: 462160
- imported package libmbim

